# Get-RASWinDeviceGroupInboundPort.md

## NAME

Get-RASWinDeviceGroupInboundPort

## SYNOPSIS

Retrieves the Windows device group Inbound ports.

## SYNTAX

\*\*Get-RASWinDeviceGroupInboundPort \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASWinDeviceGroupInboundPort \[\[-[InputObject](#inputobject)] *(*[*WinDeviceGroup*](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/windevicegroup)*)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASWinDeviceGroupInboundPort \[[Name](#name-string)] *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the Windows device group Inbound ports.

## PARAMETERS

## Name (string)

The name of the windows device group from which to add the Inbound Port.

This must be the actual windows device group name used in the RAS farm.

```
        Required?                    true

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The ID of the Site from which from which to add the Inbound Port.

If the parameter is omitted, the Licensing Server Site ID will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a windows device group from which to add the Inbound Port.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([WinDeviceGroup](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/windevicegroup))

The Windows Device Group to modify.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[WinDeviceGroup](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/windevicegroup)

## OUTPUTS

[WinDeviceGroupInboundPort](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/windevicegroupinboundport)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASWinDeviceGroupInboundPort -Name "WinDeviceGroup"

Retrieves the Inbound ports of the Windows device group with name WinDeviceGroup.\
\*\*---------- EXAMPLE 2 ----------

Get-RASWinDeviceGroupInboundPort -Id 1

Retrieves the Inbound ports of the Windows device group with Id 1.

## RELATED LINKS

* [New-RASWinDeviceGroup](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-raswindevicegroup)
* [Get-RASWinDeviceGroup](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raswindevicegroup)
* [Set-RASWinDeviceGroup](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raswindevicegroup)
* [Remove-RASWinDeviceGroup](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raswindevicegroup)
* [Add-RASWinDeviceGroupInboundPort](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raswindevicegroupinboundport)
* [Remove-RASWinDeviceGroupInboundPort](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raswindevicegroupinboundport)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raswindevicegroupinboundport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
